Built LMS Help Center
API Reference and PlaygroundUsers and GroupsUsers

GET Get user enrollments

Retrieve all course enrollments for a specific user with optional filtering by status and progress details

GET
/users/{id}/enrollments

Retrieve all course enrollments for a specific user with optional filtering by status and progress details

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Path Parameters

id*string

User ID (internal UUID)

Formatuuid

Query Parameters

limit?integer

Maximum number of results to return

Range1 <= value <= 100
Default25
offset?integer

Number of results to skip for pagination

Range0 <= value
Default0
status?string

Filter enrollments by status

Value in

  • "enrolled"
  • "in_progress"
  • "completed"
  • "withdrawn"
include_progress?boolean

Include progress summary statistics

Defaultfalse

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/users/{id}/enrollments"
{  "data": [    {      "id": "{id}",      "user_id": "{user_id}",      "course_id": "{course_id}",      "enrolled_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z",      "progress_percentage": 0,      "status": "enrolled",      "last_accessed_at": "2019-08-24T14:15:22Z",      "course": {        "id": "{id}",        "title": "string",        "slug": "string",        "category": "string",        "duration_minutes": 0,        "difficulty_level": "string",        "is_published": true      }    }  ],  "meta": {    "user": {      "id": "{id}",      "email": "string",      "display_name": "string",      "first_name": "string",      "last_name": "string"    },    "total": 0,    "limit": 0,    "offset": 0,    "filters": {      "status": "string",      "include_progress": true    },    "summary": {      "total_enrollments": 0,      "completed_count": 0,      "in_progress_count": 0,      "withdrawn_count": 0,      "completion_rate": 0,      "average_progress": 0    },    "organization_id": "{organization_id}",    "rls_validation": {      "enforced": true,      "organization_isolated": true    }  }}